# latex-templates

> A collection of LaTeX templates that are useful when writing a report.

All examples use the official University of Hull referencing style, and are originally derived from the template given to me for my interim report.


## Getting Started
Start by cloning this repository (`git clone https://git.starbeamrainbowlabs.com/Demos/latex-templates.git`).

Then, in a terminal (or _Git Bash_ on Windows), run the provided build script like this:

```bash
./build setup render
```

Note that it uses `pdflatex` and `bibtex` by default. If you use a different LaTeX render, I'd love to know! Get in contact with me via any method mentioned on [my website](https://starbeamrainbowlabs.com/)


## Design decisions
The following notes are provided about design decisions made in these templates.

- **Unjustified text:** Justified text can cause readability and accessibility issues for readers with dyslexia. Therefore, left-aligned text has been chosen as the default.
- **Short/normal report:** The short report template differs from the normal report template in that when `\chapter{Some heading}` is used it does not cause a page break. This is useful for shorter documents, where there may potentially be a page limit.
- **`\hypersetup{...}`:** Please make sure you update this. This not only sets the document title in the title bar for PDF viewers, but is also important for accessibility.


## Resources about accessibility
When writing a document using these templates, you will have the opportunity to make a number of design decisions that may affect the accessibility of your final document. It is worth taking a few minutes to inform yourself of potential problem areas such that the final output you produce is more accessible.

- <https://gradschool.cornell.edu/academic-progress/thesis-dissertation/appendix-additional-accessibility-information/>
- [Making Accessible Documents Using LaTeX](https://www.ams.org/journals/notices/202301/rnoti-p68.pdf?adat=January%202023&trk=2606&cat=career&galt=none)


## Licence
While I've listed this repository under the MIT licence, that only covers the modifications I've made to the template myself.

The actual template (including the referencing style itself) that I've based these templates on is probably Copyright © University of Hull 2019 (though `hull.bst` claims it's under the _LaTeX Project Public License_).

**Disclaimer:** These templates are provided for University of Hull students only. No guarantee is provided - even fitness-for-purpose. In other words, no guarantee is made that these templates actually conform to official University guidelines and regulations!
